2020-05-30 11:39 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000558Spring engineGeneralpublic2007-07-18 17:41
ReporterKDR_11k 
Assigned Totvo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000558: Spring always uses a US keyboard layout
Description75b1 uses the US keyboard layout whereas 74b3 and all previous versions used the layout the computer was set to use.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001004

tvo (reporter)

Confirmed.

Not all previous versions worked fine though, I recall fixing this a long time ago too :-)

~0001010

tvo (reporter)

Ok, this happens to be a SDL issue, I tested three versions.

SDL 1.2.9 => broken
SDL 1.2.10 => works (and was released with 0.74b3)
SDL 1.2.11 => broken again

So I think I'll downgrade SDL for the next update, and maybe investigate more later.

~0001012

tvo (reporter)

Uploaded SDL 1.2.10 to buildbot and committed necessary change to installer scripts: next installers should downgrade SDL to 1.2.10 fixing this bug.
+Notes

-Issue History
Date Modified Username Field Change
2007-07-16 09:45 KDR_11k New Issue
2007-07-16 22:24 tvo Note Added: 0001004
2007-07-16 22:24 tvo Status new => confirmed
2007-07-18 15:40 tvo Note Added: 0001010
2007-07-18 17:41 tvo Status confirmed => resolved
2007-07-18 17:41 tvo Resolution open => fixed
2007-07-18 17:41 tvo Assigned To => tvo
2007-07-18 17:41 tvo Note Added: 0001012
+Issue History